maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benson Margulies <bimargul...@gmail.com>
Subject Re: JDK 5 needed for Performing a Maven Project Release?
Date Thu, 12 Jan 2012 11:30:25 GMT
On Wed, Jan 11, 2012 at 10:08 PM, Barrie Treloar <baerrach@gmail.com> wrote:
> http://maven.apache.org/developers/release/maven-project-release-procedure.html
> says "you have JDK 5 installed and on your shell's path."
>
> I was about to try out the new laptop, which is a Macbook Air, and the
> is the first time I've used a Mac.
> It comes with JDK 6.
>
> Are we happy that compiler options will correctly build JDK 5 classes?
> (Things like http://docs.oracle.com/javase/6/docs/api/java/lang/String.html#isEmpty%28%29
> break binary backwards compatibility.)

I don't know of any reliable way to install 5 on a recent mac, and
I've released about 10 things on my mac in the last year using 1.6.

I'm perfectly happy the JVM version options -- it's the library
functions that could get us. That (as Brett points out) is where the
animal sniffer comes in -- or building with 1.7, which has stronger
options for library compat than 1.5.

>
> Or do I need to work out how to install JDK 5?
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message